/****************************************************************************
 **                                                                        **
 **    File:           global.c                                            **
 **    Author:         Roger Preston                                       **
 **    Created:        Wed Dec 14 17:29:45 EST 1988                        **
 **    Contents :      Global variables (keep to a minimum)                **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.                                                **
 **                                                                        **
 **                                                                        **
 ****************************************************************************/
#include <stdio.h>
#include "tmp3.h"
#include "tmp2.h"

/*
 * Global flags to control actions
 */
long  start_addr      = -1L;    /* default to an illegal value */
int   keyboard_redirected;      /* stdin redirected?           */
FILE *do_file;                  /* Current DO file from cmd line or "do" */
char *g_input_file[NFILES];
int in_file_number;
int g_tcs_addr;                 /* TEMPORARY !!! */
int FastSwitch;                 /* ditto */
int SlowSwitch;                 /* ditto */

extern int print_help();

struct bugfix switches[] = 
{
    { SW_FUNC,    0,  "-help",         (char *) print_help,     NULL},
    { SW_FLAG,    0,  "-Fast",         (char *)&FastSwitch,     NULL},
    { SW_FLAG,    0,  "-Slow",         (char *)&SlowSwitch,     NULL},
    { SW_HEX,     1,  "-TCS-Addr",     (char *)&g_tcs_addr,     NULL},
    { 0,          0,  NULL,          NULL,                      NULL}
};

